filter.hh File Reference
`#include <cassert>`
`#include <stdexcept>`
`#include <mia/core/pixeltype.hh>`
`#include <mia/core/product_base.hh>`
`#include <mia/core/factory.hh>`
`#include <mia/core/import_handler.hh>`
`#include <cinttypes>`
Include dependency graph for core/filter.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | plugin_can_chain< TDataFilterPlugin< D > >
class | TDataFilter< D >
| Generic interface class to data filters. More...
class | TDataFilterChained< D >
class | TDataFilterPlugin< Image >
| Generic image filter plugin base. More...
struct | TFilter< R >
| base class for all filer type functors. More...

## Functions

template<typename F, typename INOUT, typename IN>
static F::result_type | _combine_inplace (const F &f, INOUT &inout, const IN &in)
template<typename F, typename A, typename B>
static F::result_type | accumulate (F &f, const A &a, const B &b)
| *‍/
template<typename F, typename B>
static F::result_type | accumulate (F &f, const B &data)
template<typename F, typename INOUT, typename IN>
static F::result_type | combine_inplace (const F &f, INOUT &inout, const IN &in)
template<typename F, typename A, typename B>
static F::result_type | filter (const F &f, const A &a, const B &b)
| *‍/
template<typename F, typename B>
static F::result_type | filter (const F &f, const B &b)
template<typename F, typename B, typename O>
static F::result_type | filter_and_output (const F &f, const B &a, O &b)
template<typename F, typename B>
static F::result_type | filter_equal (const F &f, const B &a, const B &b)
template<typename F, typename B>
static void | filter_equal_inplace (const F &f, const B &a, B &b)
template<typename F, typename B>
static F::result_type | filter_inplace (const F &f, B &b)

## Function Documentation

## _combine_inplace()

template<typename F, typename INOUT, typename IN>

F::result_type _combine_inplace | ( | const F & | f,
|  | INOUT & | inout,
|  | const IN & | in )

static

Definition at line 416 of file core/filter.hh.

References it_bit, it_double, it_float, it_sbyte, it_sint, it_slong, it_sshort, it_ubyte, it_uint, it_ulong, and it_ushort.

Referenced by combine_inplace().

## combine_inplace()

template<typename F, typename INOUT, typename IN>

F::result_type combine_inplace | ( | const F & | f,
|  | INOUT & | inout,
|  | const IN & | in )

static

Definition at line 461 of file core/filter.hh.

References _combine_inplace(), it_bit, it_double, it_float, it_sbyte, it_sint, it_slong, it_sshort, it_ubyte, it_uint, it_ulong, and it_ushort.